. '.\_Common_Initialize.ps1'

$ioc = [KeePassLib.Serialization.IOConnectionInfo]::FromPath('_Database.kdbx')

$ck = New-Object KeePassLib.Keys.CompositeKey
$kp = New-Object KeePassLib.Keys.KcpPassword @('12345')
$ck.AddUserKey($kp)

$pd = New-Object KeePassLib.PwDatabase
$pd.Open($ioc, $ck, $null)

$pei = New-Object KeePass.DataExchange.PwExportInfo @($pd.RootGroup, $pd)
$iocOut = [KeePassLib.Serialization.IOConnectionInfo]::FromPath('ExportToXml.xml')

$ffp = [KeePass.Program]::FileFormatPool.Find('KeePass XML (2.x)')
if($ffp.SupportsExport -and $ffp.TryBeginExport()) {
	$s = [KeePassLib.Serialization.IOConnection]::OpenWrite($iocOut)
	$ffp.Export($pei, $s, $null) | Out-Null
	$s.Dispose()
}

$pd.Close()

. '.\_Common_Terminate.ps1'
