. '.\_Common_Initialize.ps1'

$ioc = [KeePassLib.Serialization.IOConnectionInfo]::FromPath('_Database.kdbx')

$ck = New-Object KeePassLib.Keys.CompositeKey
$kp = New-Object KeePassLib.Keys.KcpPassword @('12345')
$ck.AddUserKey($kp)

$pd = New-Object KeePassLib.PwDatabase
$pd.Open($ioc, $ck, $null)

$sp = New-Object KeePassLib.SearchParameters
$sp.SearchString = 'Sample Entry #2'

$pl = New-Object KeePassLib.Collections.PwObjectList[KeePassLib.PwEntry]
$pd.RootGroup.SearchEntries($sp, $pl)

Write-Output "User name of the entry with title '$($sp.SearchString)':"
Write-Output $pl.GetAt(0).Strings.ReadSafe([KeePassLib.PwDefs]::UserNameField)

$pd.Close()

. '.\_Common_Terminate.ps1'
